Package com.io7m.cardant.database.api

# Class CADatabaseException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.io7m.cardant.error_codes.CAException
com.io7m.cardant.database.api.CADatabaseException

All Implemented Interfaces:
  `com.io7m.seltzer.api.SStructuredErrorExceptionType<CAErrorCode>`, `com.io7m.seltzer.api.SStructuredErrorType<CAErrorCode>`, `Serializable`

public final class CADatabaseException extends CAException
The type of exceptions raised by the server database.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CADatabaseException(String message, CAErrorCode inErrorCode, Map<String,String> inAttributes, Optional<String> inRemediatingAction)`
  Construct an exception.
  `CADatabaseException(String message, Throwable cause, CAErrorCode inErrorCode, Map<String,String> inAttributes, Optional<String> inRemediatingAction)`
  Construct an exception.

- ## Method Summary

  ### Methods inherited from class com.io7m.cardant.error_codes.CAException

  `attributes, errorCode, exception, remediatingAction`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.io7m.seltzer.api.SStructuredErrorExceptionType

  `getMessage, message`

- ## Constructor Details

  - ### CADatabaseException

    public CADatabaseException(String message, CAErrorCode inErrorCode, Map<String,String> inAttributes, Optional<String> inRemediatingAction)
    Construct an exception.
    Parameters:
      `message` - The message
      `inErrorCode` - The error kind
      `inAttributes` - The error attributes
      `inRemediatingAction` - The remediating action, if any

  - ### CADatabaseException

    public CADatabaseException(String message, Throwable cause, CAErrorCode inErrorCode, Map<String,String> inAttributes, Optional<String> inRemediatingAction)
    Construct an exception.
    Parameters:
      `message` - The message
      `cause` - The cause
      `inErrorCode` - The error kind
      `inAttributes` - The error attributes
      `inRemediatingAction` - The remediating action, if any